package com.logicbig.example;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.core.env.ConfigurableEnvironment;
import org.springframework.core.env.StandardEnvironment;

@SpringBootApplication
public class ExampleMain2 {

    public static void main(String[] args) {
        ConfigurableEnvironment environment = new StandardEnvironment();
        environment.setActiveProfiles("dev");

        SpringApplication sa = new SpringApplication(ExampleMain2.class);
        sa.setEnvironment(environment);
        sa.setAdditionalProfiles("remote","live");
        sa.run(args);
    }
}