package com.logicbig.example;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import javax.annotation.PostConstruct;
import java.math.BigDecimal;

@Component
public class ExampleClient {

    @Autowired
    private InventoryService inventoryService;
    @Autowired
    private MsgService msgService;
    @Autowired
    private OrderService orderService;

    @PostConstruct
    void postConstruct(){
        inventoryService.addStockItem("item1", 10, BigDecimal.valueOf(20.5));
        msgService.sendMessage("item added");
        orderService.placeOrder("item1", 5);
    }
}